RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Service.CompetitionEvaluationService Class Reference

## Public Member Functions
List< RobotScore > | getScoreOfAll (int year, ECategory category) throws Exception
TeamScore | getScoreOfTeam (int year, long id) throws Exception
RobotScore | getScoreOfRobot (int year, long id) throws Exception
List< OrderObj > | getOrder (int year, ECategory category, long id) throws Exception

## Member Function Documentation

## ◆ getOrder()

List<OrderObj> com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Service.CompetitionEvaluationService.getOrder | ( | int | year,
|  | ECategory | category,
|  | long | id
| ) |  | throws Exception
| inline

Navrati umisteni robotu v konkretni discipline v ramci soutezni kategorie

Parameters

  year | Rocnik souteze
  category | Soutezni kategorie
  id | ID discipliny

Returns
  Poradi vsech robotu, kteri soutezili v dane discipline + kategorii

## ◆ getScoreOfAll()

List<RobotScore> com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Service.CompetitionEvaluationService.getScoreOfAll | ( | int | year,
|  | ECategory | category
| ) |  | throws Exception
| inline

Navrati skore vsech robotu, kteri soutezili v danem rocniku

Parameters

  year | Rocnik souteze
  category | Kategorie, pro kterou má zobrazit výsledky

Returns
  Seznam vsech robotu a jejich skore v soutezi

## ◆ getScoreOfRobot()

RobotScore com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Service.CompetitionEvaluationService.getScoreOfRobot | ( | int | year,
|  | long | id
| ) |  | throws Exception
| inline

Navrati skore jednoho konkreniho robota

Parameters

  year | Rocnik souteze
  id | ID robota

Returns
  Navrati skore robota

## ◆ getScoreOfTeam()

TeamScore com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Service.CompetitionEvaluationService.getScoreOfTeam | ( | int | year,
|  | long | id
| ) |  | throws Exception
| inline

Navrati skore vsech robotu urciteho tymu

Parameters

  year | Rocnik
  id | ID tymu

Returns
  Navrati skore vsech reobotu v tymu

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Module/CompetitionEvaluation/Bussiness/Service/CompetitionEvaluationService.java